﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;

namespace GalleryToolItemsBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
        }

        void RibbonMenu_Opened(object sender, RoutedEventArgs e)
        {        
            RibbonContextMenu menu = sender as RibbonContextMenu;
            List<ToolMenuItem> items = new List<ToolMenuItem>();            
            foreach (var item in menu.Items)
            {

                if (item is ToolMenuItem && ((item as ToolMenuItem).Header.ToString().Contains("Quick Access Toolbar")))
                {
                    items.Add(item as ToolMenuItem);
                }
            }

            for (int i = 0; i < items.Count(); i++)
            {
                if (menu.Items.Contains(items[i]))
                {
                    int index = menu.Items.IndexOf(items[i]);
                    menu.Items.RemoveAt(index);
                    menu.Items.RemoveAt(index);
                }
            }            
        }
    }
}
